defmodule Outlook.HtmlPreparations do
  @moduledoc """
  The HtmlPreparations context.
  """

  alias Outlook.HtmlPreparations.HtmlPreparation

  def convert_raw_html_input(html) do
    html
      |> Floki.parse_fragment!
      |> HtmlPreparation.floki_to_internal
      |> HtmlPreparation.set_sibling_with
  end
end
